/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增行业配套企业信息 POST /api/IndustryMating/AddIndustryMating */
export async function addIndustryMating(
  body: API.AddIndustryMatingInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/IndustryMating/AddIndustryMating', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增行业配套审核信息 POST /api/IndustryMating/AddIndustryMatingAudit */
export async function addIndustryMatingAudit(
  body: API.AddIndustryMatingAuditInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/IndustryMating/AddIndustryMatingAudit', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取行业配套审核详情 GET /api/IndustryMating/GetIndustryMatingAuditDatilById */
export async function getIndustryMatingAuditDatilById(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetIndustryMatingAuditDatilByIdParams,
  options?: API.RequestConfig
) {
  return request<API.IndustryMatingAuditDatilOutput>(
    '/api/IndustryMating/GetIndustryMatingAuditDatilById',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取行业配套审核分页列表 POST /api/IndustryMating/GetIndustryMatingAuditPage */
export async function getIndustryMatingAuditPage(
  body: API.QueryIndustryMatingAuditListInput,
  options?: API.RequestConfig
) {
  return request<API.IndustryMatingAuditListOutputPageOutput>(
    '/api/IndustryMating/GetIndustryMatingAuditPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取行业配套企业信息详情 GET /api/IndustryMating/GetIndustryMatingDetail */
export async function getIndustryMatingDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetIndustryMatingDetailParams,
  options?: API.RequestConfig
) {
  return request<API.IndustryMatingDto>('/api/IndustryMating/GetIndustryMatingDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取行业配套分页列表 POST /api/IndustryMating/GetIndustryMatingPage */
export async function getIndustryMatingPage(
  body: API.QueryIndustryMatingListInput,
  options?: API.RequestConfig
) {
  return request<API.IndustryMatingListOutputPageOutput>(
    '/api/IndustryMating/GetIndustryMatingPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取行业配套简单列表 GET /api/IndustryMating/GetIndustryMatingSimpleList */
export async function getIndustryMatingSimpleList(options?: API.RequestConfig) {
  return request<API.EnterpriseSimpleOutput[]>('/api/IndustryMating/GetIndustryMatingSimpleList', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取我的行业配套企业信息 POST /api/IndustryMating/GetMyIndustryMatingInfo */
export async function getMyIndustryMatingInfo(options?: API.RequestConfig) {
  return request<API.MyIndustryMatingDto>('/api/IndustryMating/GetMyIndustryMatingInfo', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 设置行业配套审核状态 POST /api/IndustryMating/SetIndustryMatingAuditStatus */
export async function setIndustryMatingAuditStatus(
  body: API.SetIndustryMatingAuditStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/IndustryMating/SetIndustryMatingAuditStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新行业配套企业信息 POST /api/IndustryMating/UpdateIndustryMating */
export async function updateIndustryMating(
  body: API.UpdateIndustryMatingInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/IndustryMating/UpdateIndustryMating', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新行业配套审核信息 POST /api/IndustryMating/UpdateIndustryMatingAudit */
export async function updateIndustryMatingAudit(
  body: API.UpdateIndustryMatingAuditInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/IndustryMating/UpdateIndustryMatingAudit', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
